<?php

namespace Vendtics\App\DTO\Note;

defined( "ABSPATH" ) || exit;

use Vendtics\WpMVC\DTO\DTO;

class Read extends DTO {
    private int $page = 1;

    private int $per_page = 10;

    private int $contact_id;

    private int $is_favorite;

    private string $search;

    /**
     * Get the value of page
     *
     * @return int
     */
    public function get_page(): int {
        return $this->page;
    }

    /**
     * Set the value of page
     *
     * @param int $page 
     *
     * @return self
     */
    public function set_page( int $page ): self {
        $this->page = $page;

        return $this;
    }

    /**
     * Get the value of per_page
     *
     * @return int
     */
    public function get_per_page(): int {
        return $this->per_page;
    }

    /**
     * Set the value of per_page
     *
     * @param int $per_page 
     *
     * @return self
     */
    public function set_per_page( int $per_page ): self {
        $this->per_page = $per_page;

        return $this;
    }

    /**
     * Get the value of contact_id
     *
     * @return int
     */
    public function get_contact_id(): int {
        return $this->contact_id;
    }

    /**
     * Set the value of contact_id
     *
     * @param int $contact_id 
     *
     * @return self
     */
    public function set_contact_id( int $contact_id ): self {
        $this->contact_id = $contact_id;

        return $this;
    }

    /**
     * Get the value of is_favorite
     *
     * @return int
     */
    public function get_is_favorite(): int {
        return $this->is_favorite;
    }

    /**
     * Set the value of is_favorite
     *
     * @param int $is_favorite 
     *
     * @return self
     */
    public function set_is_favorite( int $is_favorite ): self {
        $this->is_favorite = $is_favorite;

        return $this;
    }

    /**
     * Get the value of search
     *
     * @return string
     */
    public function get_search(): string {
        return $this->search;
    }

    /**
     * Set the value of search
     *
     * @param string $search 
     *
     * @return self
     */
    public function set_search( string $search ): self {
        $this->search = $search;

        return $this;
    }
}